import pytest
from b_asic import GraphID, GraphIDGenerator

"""
Use a fixture for initializing objects and pass them as argument to a test function
"""
@pytest.fixture
def graph_id():
    return GraphID("add", 1)


@pytest.fixture
def graph_ids():
    return [GraphID("add", 1), GraphID("add", 2), \
        GraphID("sig", 1), GraphID("sig", 1), GraphID("sub", 3), \
        GraphID("ÅÄÖ", 2), GraphID("", 3), \
        GraphID("ABCDEFGHIJKLMNOPQRSTUVWXYZ", 4)]
    
    
